if not Watcher then return end

if select(2, UnitClass('player')) ~= "WARRIOR" then return end

local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants
	
C["Shield Slam"], _, C["Shield Slam Icon"], C["Shield Slam Cost"] = GetSpellInfo(47488)
C["Revenge"], _, C["Revenge Icon"], C["Revenge Cost"] = GetSpellInfo(57823)
C["Devastate"], _, C["Devastate Icon"], C["Devastate Cost"] = GetSpellInfo(57823)
C["Concussion Blow"], _, C["Concussion Blow Icon"], C["Concussion Blow Cost"] = GetSpellInfo(12809)
C["Shockwave"], _, C["Shockwave Icon"], C["Shockwave Cost"] = GetSpellInfo(46968)

function Watcher:UNIT_SPELLCAST_SUCCEEDED()
end
	
Watcher.priorityTable.name["SS"] = C["Shield Slam"]
Watcher.priorityTable.icon["SS"] = C["Shield Slam Icon"]
Watcher.priorityTable.check["SS"] =  
	function (FrameName, optionnum) 	
		Watcher:UpdateSpell(FrameName, optionnum, false, 0, false, 0, 1, C["Shield Slam"], C["Shield Slam Cost"], 0, 0,0) 
	end
	
Watcher.priorityTable.name["Revenge"] = C["Revenge"]
Watcher.priorityTable.icon["Revenge"] = C["Revenge Icon"]
Watcher.priorityTable.check["Revenge"] =  
	function (FrameName, optionnum) 	
		Watcher:UpdateSpell(FrameName, optionnum, false, 0, false, 0, 1, C["Revenge"], C["Revenge Cost"], 0, 0, 0) 
	end
	
Watcher.priorityTable.name["Devastate"] = C["Devastate"]
Watcher.priorityTable.icon["Devastate"] = C["Devastate Icon"]
Watcher.priorityTable.check["Devastate"] =  
	function (FrameName, optionnum) 	
		Watcher:UpdateSpell(FrameName, optionnum, false, 0, false, 0, 1, C["Devastate"], C["Devastate Cost"], 0, 0, 0) 
	end
		
Watcher.priorityTable.name["Concussion Blow"] = C["Concussion Blow"]
Watcher.priorityTable.icon["Concussion Blow"] = C["Concussion Blow Icon"]
Watcher.priorityTable.check["Concussion Blow"] =  
	function (FrameName, optionnum) 	
		Watcher:UpdateSpell(FrameName, optionnum, false, 0, false, 0, 1, C["Concussion Blow"], C["Concussion Blow Cost"], 0, 0, 0) 
	end
		
Watcher.priorityTable.name["Shockwave"] = C["Shockwave"]
Watcher.priorityTable.icon["Shockwave"] = C["Shockwave Icon"]
Watcher.priorityTable.check["Shockwave"] =  
	function (FrameName, optionnum) 	
		Watcher:UpdateSpell(FrameName, optionnum, false, 0, false, 0, 1, C["Shockwave"], C["Shockwave Cost"], 0, 0, 0) 
	end
		
Watcher.priorityTable.name["gcd"] = C["Devastate"]
Watcher.priorityTable.icon["gcd"] = C["Devastate"]
Watcher.priorityTable.check["gcd"] =  
	function (FrameName, optionnum) 	
		local start, duration = GetSpellCooldown(C["Devastate"])
		if duration > 0 then
			FrameName:SetAlpha(1)
			local timeleft = start + duration - GetTime()
			Watcher:MoveIcon(FrameName, timeleft)
			FrameName.Text:SetText(Watcher:DurationString(timeleft))
			return
		end
		if start == 0 then
			FrameName.Text:Hide()
			FrameName:SetAlpha(0)
		else
			FrameName.Text:Show()
		end
	end 
